Skip to content
scango.ch
English
Esc
navigateopen⌘Jpreview

Get order by ID

Get an order by id, including line items.

GET/orders/{orderId}
Authorization
AuthorizationBearer token (API key) · headerrequired
Organization API key.
Path parameters
orderIdstringrequired
Responses
200Order details
dataOrderrequired
Order. Dates are ISO-8601. Money fields are integer cents.
Show properties
idstring
Id
orderIdstring
orderDatestring<date-time>
transactionDatestring<date-time>
paymentMethodstring
paymentStatestring
Allowed:successfulcancelledtimeoutfailedpending
paymentBrandstring
priceinteger
Order total in cents
storestring
Store id
transactionMessagestring
giftcardIdstring
giftcardFunctionstring
deletedboolean
productsOrderLine[]
Show properties
Array of OrderLine
productIdstring
titlestring
priceinteger
Line total in cents.
netPriceinteger
Net amount in cents.
depositinteger
Deposit in cents.
costPriceinteger
quantitynumber
weightnumber
supplierstring
categorystring
taxinteger
Tax amount in cents.
taxRatenumber
typestring
e.g. product, coupon, giftcard.
imageUrlstring
originalProductIdstring
originalPriceinteger
discountnumber
undiscountedPriceinteger
storestring
printTicketboolean
403Unauthorized
statusCodeintegerrequired
HTTP status code
messagestringrequired
Human-readable error message
timestampstring<date-time>required
pathstringrequired
Request path
404Not found
statusCodeintegerrequired
HTTP status code
messagestringrequired
Human-readable error message
timestampstring<date-time>required
pathstringrequired
Request path
Request
curl -X GET "https://dashboard.scango.ch/api/v1/orders/string" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "data": {
    "id": "string",
    "orderId": "string",
    "orderDate": "2024-01-01T00:00:00Z",
    "transactionDate": "2024-01-01T00:00:00Z",
    "paymentMethod": "string",
    "paymentState": "successful",
    "paymentBrand": "string",
    "price": 0,
    "store": "string",
    "transactionMessage": "string",
    "giftcardId": "string",
    "giftcardFunction": "string",
    "deleted": true,
    "products": [
      {
        "productId": "string",
        "title": "string",
        "price": 0,
        "netPrice": 0,
        "deposit": 0,
        "costPrice": 0,
        "quantity": 0,
        "weight": 0,
        "supplier": "string",
        "category": "string",
        "tax": 0,
        "taxRate": 0,
        "type": "string",
        "imageUrl": "string",
        "originalProductId": "string",
        "originalPrice": 0,
        "discount": 0,
        "undiscountedPrice": 0,
        "store": "string",
        "printTicket": true
      }
    ]
  }
}